ComonGAP {JADE} | R Documentation

## Comon's Gap

### Description

Comon's GAP criterion to evaluate the performance of an ICA algorithm.

### Usage

    ComonGAP(A, A.hat)

### Arguments

`A` | The true square mixing matrix.
`A.hat` | The estimated square mixing matrix.

### Details

Comon's GAP criterion is permutation and scale invariant. It can take every positive value and 0 corresponds to an optimal separation. If `A` is however nearly singular the values of the criterion can be huge.

Note that this function assumes the ICA model is X = S A', as is assumed by `JADE` and `ics`. However `fastICA` and `PearsonICA` assume X = S A. Therefore matrices from those functions have to be transposed first.

### Value

The value of the Comon's GAP.

### Author(s)

Klaus Nordhausen

### References

Comon, P., (1994), Independent Component Analysis, A new concept?, Signal Processing, 36, 287–314.

### See Also

`amari.error`, `SIR`

### Examples

    S <- cbind(rt(1000, 4), rnorm(1000), runif(1000))
    A <- matrix(rnorm(9), ncol = 3)
    X <- S %*% t(A)

    A.hat <- JADE(X, 3)$A
    ComonGAP(A, A.hat)

[Package JADE version 2.0-2 Index]